//
//  WithoutLoginViewController.swift
//  MiniApp
//
//  Created by Teko on 04/10/2021.
//

import UIKit

class WithoutLoginViewController: UIViewController {
    
    let label: UILabel = {
        let label = UILabel()
        label.font = UIFont.systemFont(ofSize: 13)
        label.translatesAutoresizingMaskIntoConstraints = false
        label.text = "This is mini app screen"
        return label
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        title = "Mini App Screen"
        view.backgroundColor = .white
        setupNavigation()
        addSubviews()
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        
        setupNavigation()
    }
    
    func setupNavigation() {
        navigationController?.setNavigationBarHidden(false, animated: true)
    }
    
    func addSubviews() {
        view.addSubview(label)
        NSLayoutConstraint.activate([
            label.centerXAnchor.constraint(equalTo: view.centerXAnchor),
            label.centerYAnchor.constraint(equalTo: view.centerYAnchor)
        ])
    }
    
    
}
