//
//  AppTypesDatasource.swift
//  SandboxApp
//
//  Created by Teko on 23/09/2021.
//

import Apollo

class AppTypesDatasource: DropdownDatasource {
    
    let appTypes: [MiniAppType]
    
    init(appTypes: [MiniAppType]) {
        self.appTypes = appTypes
    }
    
    func numberOfRows(in dropdown: ApolloDropdown) -> Int {
        return appTypes.count
    }
    
    func dropdown(_ dropdown: ApolloDropdown, dataForRowAt index: Int) -> DropdownItem {
        return .init(text: appTypes[index].title)
    }
    
}
