//
//  MiniAppType.swift
//  SandboxApp
//
//  Created by Teko on 23/09/2021.
//

import Foundation

enum MiniAppType {
    case reactNative
    case native
    case web
    
    var title: String {
        switch self {
        case .reactNative:
            return Strings.reactNativeAppType
        case .native:
            return Strings.nativeAppType
        case .web:
            return Strings.webAppType
        }
    }
}
