//
//  Scenario.swift
//  SanboxApp
//
//  Created by Teko on 23/09/2021.
//

import Foundation

enum Scenario: String {
    case openAppWithoutLogin
    case openAppWithLogin
    case payment
    
    var title: String {
        switch self {
        case .openAppWithoutLogin:
            return Strings.openAppWithoutLoginScenario
        case .openAppWithLogin:
            return Strings.openAppWithLoginScenario
        case .payment:
            return Strings.paymentScenario
        }
    }
}
