//
//  SplashViewController.swift
//  SandboxApp
//
//  Created by Teko on 23/09/2021.
//

import UIKit

class SplashViewController: UIViewController {

    @IBOutlet weak var activityIndicator: UIActivityIndicatorView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        loadTerra()
    }
    
    func loadTerra() {
        activityIndicator.startAnimating()
        TerraAppManager.shared.loadTerraApp { [weak self] in
            self?.activityIndicator.stopAnimating()
            Application.shared.enterMainScreen()
        }
    }

}
