//
//  MiniAppSDK.swift
//  MiniApp
//
//  Created by Teko on 04/10/2021.
//

import UIKit

public class MiniAppSDK {
    
    public static func createViewController(completion: @escaping (UIViewController) -> ()) {
        let viewController = WithoutLoginViewController()
        completion(viewController)
    }
    
    public static func createLoginRequiredViewController(idToken: String, completion: @escaping (UIViewController) -> ()) {
        let viewController = WithLoginViewController()
        viewController.token = idToken
        completion(viewController)
    }
    
    public static func createPaymentProcessableViewController(completion: @escaping (UIViewController) -> ()) {
        let viewController = WithPaymentViewController()
        completion(viewController)
    }
    
}
