//
//  MainModule.swift
//  SandboxApp
//
//  Created by Teko on 24/09/2021.
//

import UIKit

class MainModule {
    
    static func build() -> UIViewController {
        let view = MainViewController.instantiateFromNib()
        let router = MainRouter()
        
        let presenter = MainPresenter(view: view, router: router)
        
        view.presenter = presenter
        router.viewController = view
        return view
    }
    
}
