//
//  Strings.swift
//  SanboxApp
//
//  Created by Teko on 23/09/2021.
//

import Foundation

enum Strings {
    static let appVersion = "Sandbox Super App v%@"
    
    static let openAppWithoutLoginScenario = "Mở mini app chưa cần đăng nhập"
    static let openAppWithLoginScenario = "Mở mini app yêu cầu đăng nhập"
    static let paymentScenario = "Thanh toán đơn hàng"
    
    static let reactNativeAppType = "React Native"
    static let nativeAppType = "Native"
    static let webAppType = "Web"
    
    static let logout = "Đăng xuất"
    static let login = "Đăng nhập"
    
    static let alert = "Thông báo"
    static let ok = "Đồng ý"
    
    static let appNotFoundMessage = "Chưa kết nối mini app với super app"
    static let connectorNotIntegratedMessage = "Không tìm thấy connector"
}
